{% extends 'qrb5165-rb5.jinja2' %}
{% set connection_list = ['uart0'] %}
{% set connection_tags = {'uart0': ['primary', 'telnet']} %}
{% set connection_commands = {'uart0': 'telnet odyssey-worker01 7010'} %}
{% set adb_serial_number = 'd8a1879f' %}
{% set fastboot_serial_number = 'd8a1879f' %}

{# OTG port control #}

{% set pre_power_command = '/usr/local/lab-scripts/cbrxd_hub_control -n odyssey-worker01-hub01 -m sync -u 1' %}
{% set pre_os_command = '/usr/local/lab-scripts/cbrxd_hub_control -n odyssey-worker01-hub01 -m off -u 1' %}
{% set hard_reset_command = ['/usr/local/lab-scripts/cbrxd_hub_control -n odyssey-worker01-hub01 -m off -u 1',
'/usr/local/lab-scripts/snmp_pdu_control --hostname pdu04 --command reboot --port 3',
'/usr/local/lab-scripts/cbrxd_hub_control -n odyssey-worker01-hub01 -m sync -u 1'] %}
{% set power_on_command = ['/usr/local/lab-scripts/snmp_pdu_control --hostname pdu04 --command on --port 3',
'/usr/local/lab-scripts/cbrxd_hub_control -n odyssey-worker01-hub01 -m sync -u 1'] %}
{% set power_off_command = ['/usr/local/lab-scripts/snmp_pdu_control --hostname pdu04 --command off --port 3',
'/usr/local/lab-scripts/cbrxd_hub_control -n odyssey-worker01-hub01 -m off -u 1'] %}
{% set device_info = [{'board_id': 'd8a1879f'}] %}
{% set flash_cmds_order = ['update', 'ptable', 'partition', 'partition:0',
                           'partition:1', 'partition:2', 'partition:3',
                           'partition:4','partition:5', 'hyp', 'modem',
                           'rpm', 'sbl1', 'sbl2', 'sec', 'tz', 'aboot',
                           'boot', 'rootfs', 'vendor', 'system', 'cache',
                           'userdata', ] %}

{% set sync_to_lava = {'device_type': 'qrb5165-rb5', 'worker': 'odyssey-worker01.lavalab', 'tags': [], 'aliases': []} %}
